<?xml version="1.0" encoding="UTF-8"?> <!-- -*- sgml-indent-step: 2 -*- -->
<!--
  The contents of this file are subject to the terms of the Common Development
  and Distribution License (the License). You may not use this file except in
  compliance with the License.

  You can obtain a copy of the License at http://www.netbeans.org/cddl.html
  or http://www.netbeans.org/cddl.txt.

  When distributing Covered Code, include this CDDL Header Notice in each file
  and include the License file at http://www.netbeans.org/cddl.txt.
  If applicable, add the following below the CDDL Header, with the fields
  enclosed by brackets [] replaced by your own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"

  The Original Software is NetBeans. The Initial Developer of the Original
  Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
  Microsystems, Inc. All Rights Reserved.
-->
<project name="entpack-default-properties" default="none" basedir=".">

  <property name="nb_all" location="../.."/>
  <property name="dist.dir" location="${nb_all}/nbbuild/entpack/dist"/>

  <property name="start.dir" location="${nb_all}/nbbuild/netbeans"/>
  <property name="tests.dir" location="${nb_all}/nbbuild/tests"/>
  <property name="test.user.dir" location="${start.dir}/testuserdir"/>
  <property name="branchname" value="dev"/>
  <property name="moduledefs.file" location="${nb_all}/nbbuild/entpack/moduledefs-tmp.properties"/>

  <property name="build.sysclasspath" value="ignore"/>
  <property name="build.compiler.debug" value="on"/>
  <property name="anttasks.build.compiler.debug" value="on"/>

  <property name="locales" value="ja,zh_CN,pt_BR"/>
  <property name="locjar.locales"       value="${locales}"/>
  <property name="locmakenbm.locales"   value="${locales}"/>
  <property name="locjhindexer.locales" value="${locales}"/>

  <!-- build validation -->
  <property name="required.java.version" value="1.5.0"/>
  <property name="required.ant.version" value="1.6.5"/>

  <!-- properties for junit binary -->
  <property name="junit.jar" value="junit-3.8.1.jar"/>

  <property name="user.clusters.list.file" location="${nb_all}/../user.cluster.properties"/>
  <property name="clusters.list.file" location="${nb_all}/nbbuild/cluster.properties"/>
  <property name="netbeans.dest.dir"  location="${nb_all}/nbbuild/netbeans"/>
  <property name="nbmoduleCluster.file" location="${netbeans.dest.dir}/moduleCluster.properties"/>
  <property name="moduleCluster.file" location="${netbeans.dest.dir}/moduleCluster.properties"/>
  <property name="directoryList.file" location="${nb_all}/nbbuild/templates/directories.properties"/>
  <property name="modulesxml.file" location="${nb_all}/nbbuild/templates/modules.xml"/>

  <property file="${user.clusters.list.file}"/>
  <property file="${clusters.list.file}"/>
  <property file="${nbmoduleCluster.file}"/>
  <property file="${moduleCluster.file}"/>
  <property file="${directoryList.file}"/>
</project>
